Package org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections

# Class DiscoveryCollectionsStorageCrs

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.CommonFixture
org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture
org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.AbstractDiscoveryCollections
org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.DiscoveryCollectionsStorageCrs

public class DiscoveryCollectionsStorageCrs extends AbstractDiscoveryCollections
Verifies objects in the paths /collections

     Abstract Test 3: /conf/crs/storageCrs Test Purpose: Verify that the storage CRS identifier is a valid value
     Requirement: /req/crs/fc-md-storageCrs-valid-value

     Test Method: For each collection object that includes a storageCrs property in the paths /collections and
     /collections/{collectionId}, validate that the string is also found in the crs property of the collection or, in case
     the crs property includes a value #/crs, in the global list of CRSs.

Author:
  Lyn Goltz

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

  `noOfCollections`

  ### Fields inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `requestLoggingFilter, responseLoggingFilter, rootUri`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DiscoveryCollectionsStorageCrs()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `verifyCollectionsPathCollectionCrsPropertyContainsStorageCrs(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath, Map<String,Object> collection)`
  Test: storageCrs property in the collection objects in the path /collections

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.crs.discovery.collections.AbstractDiscoveryCollections

  `collectionItemUris, collectionsResponses, retrieveRequiredInformationFromTestContext`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonDataFixture

  `createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForFeatureCollectionsAndFeatures, createListOfMediaTypesToSupportForOtherResources, getApiModel, noOfCollections, requirementClasses, retrieveApiModel`

  ### Methods inherited from class org.opengis.cite.ogcapifeatures10.conformance.CommonFixture

  `clearMessages, getRequest, getResponse, init, initCommonFixture`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DiscoveryCollectionsStorageCrs

    public DiscoveryCollectionsStorageCrs()

- ## Method Details

  - ### verifyCollectionsPathCollectionCrsPropertyContainsStorageCrs

    public void verifyCollectionsPathCollectionCrsPropertyContainsStorageCrs(TestPoint testPoint, io.restassured.path.json.JsonPath jsonPath, Map<String,Object> collection)
    Test: storageCrs property in the collection objects in the path /collections
    Parameters:
      `testPoint` - test point to test, never `null`
      `jsonPath` - the /collections JSON, never `null`
      `collection` - the /collection object, never `null`